Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTVisibilityLabel

All Superinterfaces:
  `IASTDeclaration`, `IASTNode`

public interface ICPPASTVisibilityLabel extends IASTDeclaration
C++ allows for visibility labels to be mixed with declarations in class specifiers.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`v_private`
`v_private` == private:
`static final int`
`v_protected`
`v_protected` == protected:
`static final int`
`v_public`
`v_public` == public:

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`EMPTY_DECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICPPASTVisibilityLabel`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`ICPPASTVisibilityLabel`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`int`
`getVisibility()`
Returns the visibility.
`void`
`setVisibility(int visibility)`
Sets visibility.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### v_public

static final int v_public
`v_public` == public:

See Also:
  - Constant Field Values

### v_protected

static final int v_protected
`v_protected` == protected:

See Also:
  - Constant Field Values

### v_private

static final int v_private
`v_private` == private:

See Also:
  - Constant Field Values

## Method Details

### getVisibility

int getVisibility()
Returns the visibility.

Returns:
  int

### setVisibility

void setVisibility(int visibility)
Sets visibility.

Parameters:
  `visibility` - one of v_public, v_protected, v_private

### copy

ICPPASTVisibilityLabel copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

ICPPASTVisibilityLabel copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3